# Uses of Interface
org.eclipse.emf.cdo.security.Directory

Packages that use Directory
Package
Description
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.

## Uses of Directory in org.eclipse.emf.cdo.security

Methods in org.eclipse.emf.cdo.security that return Directory
Modifier and Type
Method
Description
`Directory`
SecurityFactory.`createDirectory()`
Returns a new object of class 'Directory'.
`Directory`
SecurityFactory.`createDirectory(String name)`
`Directory`
Realm.`getDefaultGroupDirectory()`
Returns the value of the 'Default Group Directory' reference.
`Directory`
Realm.`getDefaultRoleDirectory()`
Returns the value of the 'Default Role Directory' reference.
`Directory`
Realm.`getDefaultUserDirectory()`
Returns the value of the 'Default User Directory' reference.
Methods in org.eclipse.emf.cdo.security with parameters of type Directory
Modifier and Type
Method
Description
`void`
Realm.`setDefaultGroupDirectory(Directory value)`
Sets the value of the '`Default Group Directory`' reference.
`void`
Realm.`setDefaultRoleDirectory(Directory value)`
Sets the value of the '`Default Role Directory`' reference.
`void`
Realm.`setDefaultUserDirectory(Directory value)`
Sets the value of the '`Default User Directory`' reference.

## Uses of Directory in org.eclipse.emf.cdo.security.impl

Classes in org.eclipse.emf.cdo.security.impl that implement Directory
Modifier and Type
Class
Description
`class`
`DirectoryImpl`
An implementation of the model object 'Container'.
Methods in org.eclipse.emf.cdo.security.impl that return Directory
Modifier and Type
Method
Description
`Directory`
SecurityFactoryImpl.`createDirectory()`
`Directory`
SecurityFactoryImpl.`createDirectory(String name)`
`Directory`
RealmImpl.`getDefaultGroupDirectory()`
`Directory`
RealmImpl.`getDefaultRoleDirectory()`
`Directory`
RealmImpl.`getDefaultUserDirectory()`
Methods in org.eclipse.emf.cdo.security.impl with parameters of type Directory
Modifier and Type
Method
Description
`void`
RealmImpl.`setDefaultGroupDirectory(Directory newDefaultGroupDirectory)`
`void`
RealmImpl.`setDefaultRoleDirectory(Directory newDefaultRoleDirectory)`
`void`
RealmImpl.`setDefaultUserDirectory(Directory newDefaultUserDirectory)`

## Uses of Directory in org.eclipse.emf.cdo.security.util

Methods in org.eclipse.emf.cdo.security.util with parameters of type Directory
Modifier and Type
Method
Description
`T`
SecuritySwitch.`caseDirectory(Directory object)`
Returns the result of interpreting the object as an instance of 'Directory'.
`boolean`
SecurityValidator.`validateDirectory(Directory directory, DiagnosticChain diagnostics, Map<Object,Object> context)`